## nagios-plugins-contrib 39.20230131

=== debian/changelog ===
nagios-plugins-contrib (39.20230131) unstable; urgency=medium

  * [a2b0410] check_ssl_cert: Adding bc to autotest Depends (Closes: #1029926)
  * [1e64cf9] Auto update of debian/tests/control
  * [6e04074] Fix ruby-script-but-no-ruby-dep lintian override
  * [13658fe] check_ssl_cert: Adding dns-utils to autotest Depends
  * [aff127e] Auto update of debian/tests/control
  * [cbd464a] Adding d/p/dsa/check_running_kernel_allow_tilde, which allows
    tilde in version string
  * [6fd6a70] One more lintain override fix

 -- Jan Wagner <waja@cyconet.org>  Tue, 31 Jan 2023 14:25:41 +0000

nagios-plugins-contrib (38.20230124) unstable; urgency=medium

  [ Jan Wagner ]
  * [1a0c089] Add missing ${misc:Depends} to Depends for nagios-plugins-contrib
  * [561aca4] Update renamed lintian tag names in lintian overrides.
  * [3b0a9df] check_email_delivery: Add --imaptls option by adding
    d/p/check_email_delivery/add_imap_tls
  * [3e195b1] check_ssl_cert: Update to 2.25.0
  * [54c7d3e] check_multipath: Update to 0.4.12
  * [6b70721] check_ssl_cert: Update to 2.26.0
  * [7f92189] check_ssl_cert: Update to 2.27.0
  * [cb9c950] check_email_delivery: Remove --imaptls option by dropping
    d/p/check_email_delivery/add_imap_tls

  [ Bas Couwenberg ]
  * [fe29789] Bump Standards-Version to 4.6.1, no changes.

  [ Jan Wagner ]
  * [a3478bc] Update control informations
  * [b73c1d2] check_mongodb: Update to latest version
  * [49eb1d4] check_rbl: Update to 1.7.0, also updating default rbl server
  * [f8eb092] d/p/check_rbl/additional_rbls: Refresh patch

  [ Bas Couwenberg ]
  * [cf88820] Add Rules-Requires-Root to control file.

  [ Jan Wagner ]
  * [36e4818] d/control: Drop 'pkg-' from Vcs-Headers

  [ Peter Palfrader ]
  * [dab3cb2] Update madrisan-nagios-plugins-linux to
    ab90cb4e266e43fd6267369ae60100c9a9b13070 (2022-07-27)
  * [7723017] make check_hpasm build not require automake-1.15

  [ Jan Wagner ]
  * [013199b] check_ssl_cert: Add missing bc as recommend
  * [8b49bc1] d/control.in: Drop 'pkg-' from Vcs-Headers
  * [42c937a] Update control informations
  * [6eaab1d] Adding d/.gitlab-ci.yml and enable samlsa CI builds
  * [66b679a] check_ssl_cert: Update to 2.57.0
  * [4077e56] check_ipmi_sensor: Update to 3.14
  * [51706b4] Update standards version to 4.6.2, no changes needed.

  [ Joop Boonen ]
  * [81024a4] Adding d/p/dsa/check_running_kernel_jammy_fix

  [ Jan Wagner ]
  * [7206c6d] check_ssl_cert: Update to 2.58.0 (Closes: #995374, #995372)
  * [9d59f0b] Adding check_printer_health
  * [7e5441c] Auto update of debian/control
  * [36c198a] Auto update of debian/copyright

 -- Jan Wagner <waja@cyconet.org>  Tue, 24 Jan 2023 13:16:09 +0000

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: optional
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               dh-python,
               python3:any, python3-debian:native,
               quilt (>= 0.46-7),
               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/nagios-team/nagios-plugins-contrib.git
Vcs-Browser: https://salsa.debian.org/nagios-team/nagios-plugins-contrib
Rules-Requires-Root: binary-targets

Package: monitoring-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, bc, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, lz4, lzop,
            ${perl:Depends},
            ${python3:Depends},
            ${shlibs:Depends}
Provides: nagios-plugins-contrib
Replaces: nagios-plugins-contrib (<< 26)
Breaks: nagios-plugins-contrib (<< 26)
Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, iproute2, dnsutils, nagios-plugin-check-multi, moreutils, percona-toolkit, python3, python3-pymongo, python3-boto
Enhances: monitoring-plugins, monitoring-plugins-basic, monitoring-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_chrony (0.1): chrony NTP server check
     This plugin is able to check the stratum time difference of a local
     chronyd instance.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_debsecan (1.0.0): plugin to check the Debian CVE lists against your installed packages
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin to check the HAProxy statistics url
   * check_haproxy_stats (1.1.3): check haproxy via admin socket
     Different from check_haproxy this plugin is able to check
     haproxy via the unix admin socket.
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.8.0.2): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev204): plugin checking Apache or lighttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.14): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
      depents on kernel features present in kernels newer than 3.3
   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
   * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_mongodb (1b54df0): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.4.12): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.2.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_printer_health (1.1.0.2): plugin which checks the health of snmp-enabled printers
   * check_raid (4.0.9): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
     - Detecting SCSI devices or hosts with lsscsi
   * check_rbl (1.7.0): plugin to check if a server is blacklisted
   * check_redis (0.73): Redis Server check plugin
     This plugin checks Redis NoSQL database status variables,
     measures its response time and if specified allows one to set thresholds
     on one or more key data. You can set thresholds for data in stats
     variables and some of them are also conveniently available as long options
     with special threshold syntax. Plugin also calculates statistics such as
     Hitrate (calculated as rate of change of hits/misses) and memory use and
     can check replication delay.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (2.58.0): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.24): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
     signatures in dnssec-enabled zones.

## nagios-plugins-contrib 40.20230214~bpo11+1

=== debian/changelog ===
nagios-plugins-contrib (40.20230214~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jan Wagner <waja@cyconet.org>  Wed, 15 Feb 2023 08:59:23 +0000

nagios-plugins-contrib (40.20230214) unstable; urgency=high

  * [930984a] check_rbl: Adding libcapture-tiny-perl as Recommand
  * [1cdb2c6] check_email_delivery: Add back --imaptls option by adding
    d/p/check_email_delivery/add_imap_tls
  * [0b32334] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Tue, 14 Feb 2023 09:41:02 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: monitoring-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, bc, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, lz4, lzop,
+Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python3, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, libxml-simple-perl, python3-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libcapture-tiny-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, bc, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils, lz4, lzop,
             ${perl:Depends},
             ${python3:Depends},
             ${shlibs:Depends}

## nagios-plugins-contrib 41.20230224

=== debian/changelog ===
nagios-plugins-contrib (41.20230224) unstable; urgency=medium

  * [0bac675] check_ssl_cert: Update to 2.60.0
    - Fixes --ignore-host-cn behaviour with --match
    - Hot fix for version 2.59 (bug fix for --ignore-host-name)
  * [bf2ccae] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Fri, 24 Feb 2023 12:34:35 +0000

## nagios-plugins-contrib 42.20230308~bpo11%2B1

=== check_libs_ng/Makefile ===
#/usr/bin/make -f

PLUGIN = check_libs_ng

include ../common.mk

=== debian/control ===
--- 
+++ 
@@ -171,7 +171,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (2.58.0): plugin to check the CA and validity of an
+   * check_ssl_cert (2.60.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

## nagios-plugins-contrib 42.20230308~bpo11+1

=== debian/changelog ===
nagios-plugins-contrib (42.20230308~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Holger Levsen <holger@debian.org>  Mon, 03 Apr 2023 14:50:00 +0200

nagios-plugins-contrib (42.20230308) unstable; urgency=high

  * [4ab7834] Adding d/p/dsa/check_running_kernel_bookworm_fix
    (Closes: #1029720)

 -- Jan Wagner <waja@cyconet.org>  Wed, 08 Mar 2023 10:28:49 +0000

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/changelog ===
nagios-plugins-linux (30-1) stable; urgency=low
  * Release 30 "Low pressure":
     - Fixes in the plugin check_pressure
     - Fix a LGTM issue in lib/netinfo
     - Fix Debian multi-package creation

 -- Davide Madrisan <davide.madrisan@gmail.com>  Tue, 25 Jan 202Z 18:57:05 +0200

nagios-plugins-linux (29-1) stable; urgency=low
  * Release 29 "High Temperatures":
     - Improvements and fixes in the plugin check_temperature
     - Build a Debian multi-package

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sun, 20 Jul 2021 11:11:52 +0200

## nagios-plugins-contrib 42.20230308ubuntu1

=== debian/changelog ===
nagios-plugins-contrib (42.20230308ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 02 Apr 2023 09:04:01 +0000

nagios-plugins-contrib (39.20230131ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Feb 2023 09:42:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -196,5 +197,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
-     signatures in dnssec-enabled zones.

## nagios-plugins-contrib 42.20230308%2Bdeb12u1

=== debian/tests/control ===
# DO NOT HAND HACK - MANAGED BY debian/packaging-helper.py
#
#
Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
Restrictions: needs-root, breaks-testbed

Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
Restrictions: needs-root, isolation-container

Depends: debsecan, @
Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r -s sid

Depends: libnet-dns-perl, @
Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
Restrictions: needs-root, breaks-testbed

Test-Command: /usr/lib/nagios/plugins/check_etc_resolv
Depends: bind9-host | knot-host, @

Depends: apache2, liblocale-gettext-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, liblwp-useragent-determined-perl, @
Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
Restrictions: needs-root, allow-stderr, isolation-container

Depends: ca-certificates, openssl, curl, file, bc, host, @
Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org

Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
Test-Command: /usr/lib/nagios/plugins/check_uptime -f

Depends: @
Test-Command: /usr/lib/nagios/plugins/check_entropy -w 1

## nagios-plugins-contrib 42.20230308+deb12u1

=== debian/changelog ===
nagios-plugins-contrib (42.20230308+deb12u1) bookworm; urgency=medium

  [ Manfred Stock ]
  * [f5a0186] Extend fix for on-disk version detection on Bookworm
    (Closes: #1033791)

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Oct 2023 13:03:28 +0200

## nagios-plugins-contrib 43.20230612ubuntu1

=== debian/changelog ===
nagios-plugins-contrib (43.20230612ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Aug 2023 14:01:01 +0000

nagios-plugins-contrib (43.20230612) unstable; urgency=medium

  * [fa7b90c] check_ssl_cert: Remove leftovers from 2.58.0
  * [986d8b7] check_ssl_cert: Update to 2.61.0
  * [857613b] CI: Disable BLHC job
  * [5c7a452] check_ssl_cert: Update to 2.70.0
  * [25845d0] check_rbl: Update to 1.7.1
  * [5b0fc43] Auto update of debian/control

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Jun 2023 19:04:45 +0000

=== debian/control ===
--- 
+++ 
@@ -146,7 +146,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.7.0): plugin to check if a server is blacklisted
+   * check_rbl (1.7.1): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -172,7 +172,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (2.60.0): plugin to check the CA and validity of an
+   * check_ssl_cert (2.70.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

## nagios-plugins-contrib 45.20231212~bpo11%2B1

=== debian/changelog ===
nagios-plugins-contrib (45.20231212~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Mar 2024 12:43:40 +0100

nagios-plugins-contrib (45.20231212) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [0b8a7ff] check_redis: add acl support
  * [b663d9f] check_v46: remove leading spaces from perf data
    github #84
  * [9f95871] Update madrisan nagios plugins

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 Dec 2023 11:13:34 +0100

nagios-plugins-contrib (44.20231012) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [d946fdc] Explicitly enable test-build-twice job.
  * [dd09b9b] Use dh-sequence-python3.
  * [5d9ea4f] Use dh-sequence-python3.

  [ Manfred Stock ]
  * [8f92032] check-running-kernel: Extend fix for on-disk version detection
    on Bookworm (Closes: #1033791)

  [ Jan Wagner ]
  * [5b3e344] check_rbl: Update to 1.7.2
  * [4c4024d] check_ssl_cert: Update to 2.75.0

 -- Jan Wagner <waja@cyconet.org>  Thu, 12 Oct 2023 14:46:56 +0000

## nagios-plugins-contrib 45.20231212~bpo12+1

=== check_etc_hosts/Makefile ===
#/usr/bin/make -f

PLUGIN = check_etc_hosts

include ../common.mk

=== check_multipath/Makefile ===
PLUGIN := check_multipath
CLEANFILES := check_multipath

include ../common.mk

check_multipath: check-multipath.pl
	cp $< $@
	chmod 755 $@

=== dsa/Makefile ===
#!/usr/bin/make -f

PLUGIN:=$(shell cd checks; ls -1 | sed 's,^dsa-,,;s,-,_,g')
CRONJOBS:=$(shell cd sbin; ls -1 | sed 's,^dsa-,,')
INIFILES:=etc/obsolete-packages-ignore
DOCFILES:=$(wildcard *.cmd)

check_%:
	cp checks/dsa-`echo $@ | sed 's,_,-,g'` $@
	chmod 755 $@

update-%-status:
	cp sbin/dsa-$@ $@
	chmod 755 $@

CLEANFILES=$(PLUGIN) $(CRONJOBS)


include ../common.mk

install::
	install -d $(DESTDIR)$(INIDIR)/obsolete-packages-ignore.d

=== debian/changelog ===
nagios-plugins-contrib (45.20231212~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update gbp.conf / gitlab-ci.yml for bookworm

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Mar 2024 12:35:24 +0100

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/changelog ===
nagios-plugins-linux (31-1) stable; urgency=low
  * Release 31 "Counter-intuitive":
     - New plugin check_filecount
     - Support new units kiB/MiB/GiB in check_memory
     - Minor fixes

 -- Davide Madrisan <davide.madrisan@gmail.com>  Sun, 28 Aug 2022 22:44:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
                dh-python,
+               dh-sequence-python3,
                python3:any, python3-debian:native,
                quilt (>= 0.46-7),
                autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
@@ -197,3 +197,4 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
+   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/rules ===
#!/usr/bin/make -f

NP_LIBEXEC:=/usr/lib/nagios/plugins

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=${NP_LIBEXEC} --enable-libcurl

## nagios-plugins-contrib 45.20231212ubuntu2

=== check_webinject/Makefile ===
PLUGIN := tmp/check_webinject

include ../common.mk

tmp/check_webinject:
	mkdir -p tmp
	sed -e '/^package Web/,/^#!\/usr\/bin\/env perl/d' \
	    -e '/^my.*Webinject->/ iuse Webinject;\n' \
	    check_webinject > $@

clean::
	rm -rf tmp

=== debian/changelog ===
nagios-plugins-contrib (45.20231212ubuntu2) noble; urgency=medium

  * No-change rebuild against libmemcached11t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 18:08:15 +0100

nagios-plugins-contrib (45.20231212ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 12 Jan 2024 13:56:25 +0000

nagios-plugins-contrib (44.20231012ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Nov 2023 15:35:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -197,4 +198,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of

=== madrisan-nagios-plugins-linux/nagios-plugins-linux/debian/control ===
Source: nagios-plugins-linux
Section: net
Priority: optional
Maintainer: Davide Madrisan <davide.madrisan@gmail.com>
Build-Depends: autotools-dev,
               debhelper (>= 10),
               libcurl4-gnutls-dev,
               make (>= 3.81),
               pkg-config
Homepage: https://github.com/madrisan/nagios-plugins-linux
Standards-Version: 4.3.0

Package: nagios-plugins-linux
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-clock,
         nagios-plugins-linux-cpufreq,
         nagios-plugins-linux-cpu,
         nagios-plugins-linux-cswch,
         nagios-plugins-linux-fc,
         nagios-plugins-linux-ifmountfs,
         nagios-plugins-linux-intr,
         nagios-plugins-linux-iowait,
         nagios-plugins-linux-load,
         nagios-plugins-linux-memory,
         nagios-plugins-linux-multipath,
         nagios-plugins-linux-nbprocs,
         nagios-plugins-linux-network,
         nagios-plugins-linux-paging,
         nagios-plugins-linux-pressure,
         nagios-plugins-linux-readonlyfs,
         nagios-plugins-linux-swap,
         nagios-plugins-linux-tcpcount,
         nagios-plugins-linux-temperature,
         nagios-plugins-linux-uptime,
         nagios-plugins-linux-users
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 Plugins for nagios compatible monitoring systems like Naemon and Icinga. It
 contains the following plugins:
 .
  check_clock, check_cpufreq, check_cpu, check_cswch, check_fc, check_ifmountfs,
  check_intr, check_iowait, check_load, check_memory, check_multipath,
  check_nbprocs, check_network, check_paging, check_pressure, check_readonlyfs,
  check_swap, check_tcpcount, check_temperature, check_uptime, check_users
 .
 This package provides the suite of plugins that are most likely to be
 useful on a central monitoring host.

Package: nagios-plugins-linux-experimental
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-docker
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 Experimental plugins for nagios compatible monitoring systems like Naemon and
 Icinga. It contains the following plugins:
 .
  check_docker
 .
 This package provides some experimental plugins that are most likely to be
 useful on a central monitoring host.

Package: nagios-plugins-linux-clock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin returns the number of seconds elapsed between local time and
 central monitoring host time.

Package: nagios-plugins-linux-cpu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the CPU (user mode) utilization.

Package: nagios-plugins-linux-cpufreq
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the CPU frequency characteristics.

Package: nagios-plugins-linux-cswch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the total number of context switches per second across all CPUs.

Package: nagios-plugins-linux-docker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the number of running docker containers.

Package: nagios-plugins-linux-fc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the status of the fiber status ports.

Package: nagios-plugins-linux-ifmountfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks whether the given filesystems are mounted.

Package: nagios-plugins-linux-intr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the interrupts serviced per second, including unnumbered
 architecture specific interrupts.

Package: nagios-plugins-linux-iowait
Architecture: any
Depends: ${misc:Depends},
         nagios-plugins-linux-cpu
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the I/O wait bottlenecks.

Package: nagios-plugins-linux-load
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the current system load average.

Package: nagios-plugins-linux-memory
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the memory usage.

Package: nagios-plugins-linux-multipath
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the multipath topology status.

Package: nagios-plugins-linux-nbprocs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the number of running processes per user.

Package: nagios-plugins-linux-network
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays some network interfaces statistics.

Package: nagios-plugins-linux-paging
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the memory and swap paging.

Package: nagios-plugins-linux-pressure
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the Linux Pressure Stall Information (PSI) data.

Package: nagios-plugins-linux-readonlyfs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks for readonly filesystems.

Package: nagios-plugins-linux-swap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the swap usage.

Package: nagios-plugins-linux-tcpcount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks the tcp network usage.

Package: nagios-plugins-linux-temperature
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin monitors the hardware's temperature.

Package: nagios-plugins-linux-uptime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin checks how long the system has been running.

Package: nagios-plugins-linux-users
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: nagios3 | icinga | icinga2
Description: Linux plugins for nagios compatible monitoring systems
 A suite of Nagios/NRPE plugins for monitoring Linux servers and appliances.
 .
 This plugin displays the number of users that are currently logged on.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PKGNAME = monitoring-plugins-contrib
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name redhat -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

override_dh_auto_build:
	dh_auto_build
	$(PACKAGING_HELPER) --generate-readme

PACKAGING_HELPER = /usr/bin/python3 $(CURDIR)/debian/packaging-helper.py


clean: debian/copyright debian/control debian/tests/control
	dh $@ --with quilt
	rm -f debian/README.Debian.plugins

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
TESTS_FILES := $(wildcard */tests)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/tests/control: debian/packaging-helper.py $(TESTS_FILES)
	$(PACKAGING_HELPER) --tests
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


%:
	dh $@ --with quilt


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch

## nagios-plugins-contrib 46.20240417

=== debian/changelog ===
nagios-plugins-contrib (46.20240417) unstable; urgency=medium

  [ Bas Couwenberg ]
  * [13d5bbd] Replace pkg-config build dependency with pkgconf.

  [ Jan Wagner ]
  * [2141896] check_hpasm: Update to 4.9
  * [85805f4] check_ssl_cert: Update to 2.80.0 (Closes: #1067532)
  * [50bbecf] Drop nagios-plugins-contrib binary transitional package
    (Closes: #1038281)
  * [d7c7c50] check_haproxy: Update Upstream and to Revision 1.1
  * [fd82fc4] Drop obsolete d/patches/check_haproxy/monitoring-plugin
  * [093ad47] Adding d/p/check_memcached/fix_compile_warnings
    (Closes: #1066576), thanks Sebastian Andrzej Siewior
  * [079ab68] check_ssl_cert: Update to 2.81.0
  * [9be161f] check_rbl: Update to 1.7.3

 -- Jan Wagner <waja@cyconet.org>  Wed, 17 Apr 2024 11:50:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -10,7 +9,7 @@
                dh-sequence-python3,
                python3:any, python3-debian:native,
                quilt (>= 0.46-7),
-               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
+               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkgconf
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/nagios-team/nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/nagios-plugins-contrib
@@ -198,3 +197,5 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
+   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
+     signatures in dnssec-enabled zones.

## nagios-plugins-contrib 46.20240417ubuntu1

=== Makefile ===
PLUGINS := $(strip $(shell find . -mindepth 2 -maxdepth 2 -name Makefile -printf '%h '))

ifeq ($(wildcard /etc/debian_version),/etc/debian_version)
HOST_ARCH := $(strip $(shell dpkg-architecture -q DEB_HOST_ARCH))
else
ifeq ($(wildcard /usr/bin/rpm),/usr/bin/rpm)
HOST_ARCH := $(strip $(shell rpm --eval '%{_arch}'))
endif
endif

ifeq ($(HOST_ARCH),$(filter $(HOST_ARCH),hurd-i386))
	PLUGINS := $(filter-out check_memcached check_varnish,$(PLUGINS))
endif
ifeq ($(HOST_ARCH),$(filter $(HOST_ARCH),arm64))
	PLUGINS := $(filter-out check_memcached,$(PLUGINS))
endif
ifeq ($(HOST_ARCH),$(filter $(HOST_ARCH),m68k))
	PLUGINS := $(filter-out check_varnish,$(PLUGINS))
endif


default: all

$(PLUGINS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean install : $(PLUGINS)

=== debian/changelog ===
nagios-plugins-contrib (46.20240417ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - check_ssl_cert: use host launchpad.net and ignore expiration date

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 02 Jul 2024 19:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nagios-plugins-contrib
 Section: net
 Priority: optional
-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>, Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
@@ -197,5 +198,3 @@
      whois output.
    * check_zone_auth (1.14): plugin to ensure that the authoritative nameservers
      for a given zone remain in sync.
-   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
-     signatures in dnssec-enabled zones.

=== debian/tests/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Restrictions: needs-root, allow-stderr, isolation-container
 
 Depends: ca-certificates, openssl, curl, file, bc, host, @
-Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org
+Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H launchpad.net --ignore-exp
 
 Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_uptime -f
